# Yahoo! UI Library

### Charts Widget 2.8.0r4

Yahoo! UI Library > charts > YAHOO.widget.Axis
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.Axis

Known Subclasses:
  YAHOO.widget.NumericAxis

Defines a CartesianChart's vertical or horizontal axis.

### Constructor

YAHOO.widget.Axis `( )`

### Properties

#### labelFunction - `String`

A string reference to the globally-accessible function that may be called to determine each of the label values for this axis. Also accepts function references.

#### labelSpacing - `Number`

The space, in pixels, between labels on an axis.

#### reverse - `Boolean`

If true, the items on the axis will be drawn in opposite direction.

#### title - `String`

The text that will appear next to the axis to indicate information about the data that it displays.

#### type - `String`

The type of axis.

Copyright © 2009 Yahoo! Inc. All rights reserved.